net.sourceforge.pmd.lang.java.javadoc

## Class JavadocTag

- java.lang.Object
- - net.sourceforge.pmd.lang.java.javadoc.JavadocTag

-     public final class JavadocTag
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JavadocTag` | `AUTHOR`
    `static JavadocTag` | `DEPRECATED`
    `String` | `description`
    `String` | `label`
    `static JavadocTag` | `PARAM`
    `static JavadocTag` | `RETURN`
    `static JavadocTag` | `SEE`
    `static JavadocTag` | `SINCE`
    `static JavadocTag` | `THROWS`
    `static JavadocTag` | `VERSION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Set<String>` | `allTagIds()`
    `static JavadocTag` | `tagFor(String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### label

          public final String label

    - #### description

          public final String description

    - #### AUTHOR

          public static final JavadocTag AUTHOR

    - #### SINCE

          public static final JavadocTag SINCE

    - #### VERSION

          public static final JavadocTag VERSION

    - #### DEPRECATED

          public static final JavadocTag DEPRECATED

    - #### PARAM

          public static final JavadocTag PARAM

    - #### THROWS

          public static final JavadocTag THROWS

    - #### RETURN

          public static final JavadocTag RETURN

    - #### SEE

          public static final JavadocTag SEE

  - ### Method Detail

    - #### tagFor

          public static JavadocTag tagFor(String id)

    - #### allTagIds

          public static Set<String> allTagIds()

Copyright © 2002-2013 InfoEther. All Rights Reserved.